Approve a stack profile suggestion
import requests
url = "https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/suggestions/{suggestion_id}/approve"
payload = {
"channel": "stable",
"changelog": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({channel: 'stable', changelog: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/suggestions/{suggestion_id}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/suggestions/{suggestion_id}/approve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "stable",
"changelog": "<string>"
}
'{
"profile": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"logo_url": "<string>",
"has_uploaded_logo": true,
"uploaded_logo_updated_at": "2023-11-07T05:31:56Z",
"category": "<string>",
"tags": [
"<string>"
],
"visibility": "organisation",
"latest_version": 123,
"current_version": 123,
"source_cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"publisher_name": "<string>",
"publisher_slug": "<string>",
"publisher_verified": true,
"publisher_is_ankra": true,
"publisher_has_logo": true,
"publisher_logo_updated_at": "2023-11-07T05:31:56Z",
"shared_organisation_count": 123,
"shared_with_you": true,
"is_owner": true
},
"version": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"channel": "<string>",
"spec": {},
"parameters": [
{
"name": "<string>",
"title": "<string>",
"description": "<string>",
"type": "string",
"required": false,
"default": "<string>",
"enum_values": [
"<string>"
],
"pattern": "<string>",
"group": "<string>",
"resource_kind": "<string>",
"resource_name": "<string>",
"path": "<string>",
"options": [
{
"value": "<string>",
"title": "<string>",
"description": "<string>",
"sets": {}
}
]
}
],
"redacted_secret_paths": {},
"changelog": "<string>",
"created_by_user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"deprecation": {
"reason": "incompatibility",
"note": "<string>",
"references": [
"<string>"
],
"deprecated_at": "2023-11-07T05:31:56Z",
"deprecated_by_user_id": "<string>"
},
"warnings": [
"<string>"
]
},
"suggestion": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"proposer_organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"proposer_organisation_name": "<string>",
"proposer_organisation_slug": "<string>",
"created_by_user_id": "<string>",
"title": "<string>",
"description": "<string>",
"base_version": 123,
"status": "open",
"resolution_note": "<string>",
"resolved_by_user_id": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"applied_version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"is_proposer": true
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Stack Profiles
Approve a stack profile suggestion
Publishes an open suggestion as the next version of a profile your organisation owns. The body is optional: channel defaults to stable and the changelog is composed from the suggestion.
POST
/
api
/
v1
/
org
/
stack-profiles
/
{profile_id}
/
suggestions
/
{suggestion_id}
/
approve
Approve a stack profile suggestion
import requests
url = "https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/suggestions/{suggestion_id}/approve"
payload = {
"channel": "stable",
"changelog": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({channel: 'stable', changelog: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/suggestions/{suggestion_id}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/suggestions/{suggestion_id}/approve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "stable",
"changelog": "<string>"
}
'{
"profile": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"logo_url": "<string>",
"has_uploaded_logo": true,
"uploaded_logo_updated_at": "2023-11-07T05:31:56Z",
"category": "<string>",
"tags": [
"<string>"
],
"visibility": "organisation",
"latest_version": 123,
"current_version": 123,
"source_cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"publisher_name": "<string>",
"publisher_slug": "<string>",
"publisher_verified": true,
"publisher_is_ankra": true,
"publisher_has_logo": true,
"publisher_logo_updated_at": "2023-11-07T05:31:56Z",
"shared_organisation_count": 123,
"shared_with_you": true,
"is_owner": true
},
"version": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"channel": "<string>",
"spec": {},
"parameters": [
{
"name": "<string>",
"title": "<string>",
"description": "<string>",
"type": "string",
"required": false,
"default": "<string>",
"enum_values": [
"<string>"
],
"pattern": "<string>",
"group": "<string>",
"resource_kind": "<string>",
"resource_name": "<string>",
"path": "<string>",
"options": [
{
"value": "<string>",
"title": "<string>",
"description": "<string>",
"sets": {}
}
]
}
],
"redacted_secret_paths": {},
"changelog": "<string>",
"created_by_user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"deprecation": {
"reason": "incompatibility",
"note": "<string>",
"references": [
"<string>"
],
"deprecated_at": "2023-11-07T05:31:56Z",
"deprecated_by_user_id": "<string>"
},
"warnings": [
"<string>"
]
},
"suggestion": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"proposer_organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"proposer_organisation_name": "<string>",
"proposer_organisation_slug": "<string>",
"created_by_user_id": "<string>",
"title": "<string>",
"description": "<string>",
"base_version": 123,
"status": "open",
"resolution_note": "<string>",
"resolved_by_user_id": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"applied_version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"is_proposer": true
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Suggestion approved